com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum GenerateReportTaskParameters.Classification

- java.lang.Object
- - java.lang.Enum<GenerateReportTaskParameters.Classification>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.GenerateReportTaskParameters.Classification

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GenerateReportTaskParameters.Classification>
  Enclosing class:
    GenerateReportTaskParameters

      public static enum GenerateReportTaskParameters.Classification
      extends java.lang.Enum<GenerateReportTaskParameters.Classification>

  Report Classification

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLANK`
    `CONFIDENTIAL`
    `INTERNAL`
    `LES`
    `LIMITED`
    `OFFICIAL`
    `SECRET`
    `TOPSECRET`
    `UNCLASSIFIED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenerateReportTaskParameters.Classification` | `forValue(int value)`
    `int` | `getValue()`
    `static GenerateReportTaskParameters.Classification` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GenerateReportTaskParameters.Classification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLANK

          public static final GenerateReportTaskParameters.Classification BLANK

    - #### TOPSECRET

          public static final GenerateReportTaskParameters.Classification TOPSECRET

    - #### SECRET

          public static final GenerateReportTaskParameters.Classification SECRET

    - #### CONFIDENTIAL

          public static final GenerateReportTaskParameters.Classification CONFIDENTIAL

    - #### OFFICIAL

          public static final GenerateReportTaskParameters.Classification OFFICIAL

    - #### LES

          public static final GenerateReportTaskParameters.Classification LES

    - #### LIMITED

          public static final GenerateReportTaskParameters.Classification LIMITED

    - #### UNCLASSIFIED

          public static final GenerateReportTaskParameters.Classification UNCLASSIFIED

    - #### INTERNAL

          public static final GenerateReportTaskParameters.Classification INTERNAL

  - ### Method Detail

    - #### values

          public static GenerateReportTaskParameters.Classification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GenerateReportTaskParameters.Classification c : GenerateReportTaskParameters.Classification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GenerateReportTaskParameters.Classification valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static GenerateReportTaskParameters.Classification forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.